%define module	HTML-Stream
%define name	perl-%{module}
%define version	1.60
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	HTML output stream class, and some markup utilities
Group:		Development/Perl
License:	GPL or Artistic
Url:		http://search.cpan.org/dist/%{module}/
Source:         http://www.cpan.org/modules/by-module/HTML/%{module}-%{version}.tar.gz
BuildRequires:	perl(Test::Output)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The HTML::Stream module provides you with an object-oriented (and subclassable)
way of outputting HTML. Basically, you open up an "HTML stream" on an existing
filehandle, and then do all of your output to the HTML stream. You can intermix
HTML-stream-output and ordinary-print-output, if you like.

There's even a small built-in subclass, HTML::Stream::Latin1, which can handle
Latin-1 input right out of the box. But all in good time...

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README README.system docs examples testin
%{perl_vendorlib}/HTML
%{_mandir}/*/*



%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2009.0
+ Revision: 270386
- update to new version 1.60

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.59-2mdv2009.0
+ Revision: 268522
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2009.0
+ Revision: 214415
- update to new version 1.59

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.58-1mdv2009.0
+ Revision: 213369
- new version

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.55-3mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.55-3mdv2008.0
+ Revision: 86472
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.55-2mdv2007.0
- Rebuild

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.55-1mdk
- first mdk release

